/*!
  * Licensed Materials - Property of IBM
  * 5725N95, 5725P55, 5725N96
  * (C) Copyright IBM Corp. 1999, 2014.
  * US Government Users Restricted Rights- Use, duplication or disclosure
  * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

 /* $Id: controller.js,v 1.1.2.1 2016/03/15 16:13:56 dvardhan Exp $ */
 
ViewerController.openGlossary = function() 
{
	var type = this.config.glossaryType.toLowerCase();

	if (this.config.glossaryUrl == '') 
	{
		alert('No Glossary currently available.');
	}
	else 
	{
		if (type == 'embedded') 
		{
			if (this.inlineExternal)
			{
				location.href = this.config.glossaryUrl;
			}
			else 
			{
				window.open(this.config.glossaryUrl,'ContainerWin','scrollbars=yes,' + 'width=' + this.config.externalWidth + ',height=' + this.config.externalHeight + ',top=1,left=1,resizable=yes');
			}
		}
		else if (type == 'content') 
		{			 
			OSDeliveryEngine.launchWindow(this.config.glossaryUrl,'ContentWin','scrollbars=yes,' + 'width=' + this.config.popupWidth + ',height=' + this.config.popupHeight + ',top=1,left=1,resizable=yes');		    
		}
		else if (type == 'grouping') 
		{
			OSDeliveryEngine.launchWindow(this.config.glossaryUrl,'GroupWin','scrollbars=yes,' + 'width=' + this.config.popupWidth + ',height=' + this.config.popupHeight + ',top=1,left=1,resizable=yes');		  
		} 
		else if (type == 'topic') 
		{
			OSDeliveryEngine.launchWindow(this.config.glossaryUrl,'TopicWin','scrollbars=yes,' + 'width=' + this.config.popupWidth + ',height=' + this.config.popupHeight + ',top=1,left=1,resizable=yes');		
		}		
		else if ( (type == 'learning object') || (type == 'lo') ) 
		{
			if ( this.config.docMode == 'HELP' || this.config.subDocMode == 'chm' ) 
			{
				location.href = this.config.glossaryUrl;
			}
			else 
			{
				OSDeliveryEngine.launchWindow(this.config.glossaryUrl,'LOWin','scrollbars=yes,' + 'width=' + this.config.popupWidth + ',height=' + this.config.popupHeight + ',top=1,left=1,resizable=yes');			 
			}
		}
		else if (type == 'url') 
		{
			window.open(this.config.glossaryUrl,'GlossaryWin','scrollbars=yes,width=550,height=500,top=70,left=220,resizable=yes');
		}
		else
		{
			alert('No Glossary currently available');
		}
	}
};
ViewerController.helpTypeMap = 
{
	"lo":3,
	"topic":2,
	"group":11
};
ViewerController.openHelp = function() 
{
	if (this.config.helpID == "0") 
	{      
		alert(this.config.helpErrorMessage);
	}
	else  
	{
		var type = this.config.helpType.toLowerCase();
		if (type == "url")  
		{
			window.open(this.config.helpID);
		}
		else if (type == "object")
		{
			OSDeliveryEngine.launchWindow(this.config.helpUrl,'help','scrollbars=yes,width=' + this.config.popupWidth + ',height=' + this.config.popupHeight + ',top=1,left=1,resizable=yes');
		}
		else
		{
			var helpURL = "HelpMain?objectID="+this.config.helpID+"&objectTypeID="+this.helpTypeMap[type]+"&studentID="+this.config.studentID+"&themeID="+this.config.themeID;
			window.open(helpURL,this.config.helpID,"height="+this.config.popupHeight+",width="+this.config.popupWidth+",location=no,menubar=no,scrollbars=yes,left=0,top=0,toolbar=no,status=no,resizable=yes");
		}
	}
};
ViewerController.openDiscussion = function() 
{
	//get current LO ID
	var loObj=this.current;
	while (loObj.type!=3){
		if (!loObj.parent) break;
		loObj=loObj.parent;
	}
	
	var url = "DiscussionForum?page=main&loID="+loObj.id+"&studentID="+this.config.studentID+"&themeID="+this.config.themeID; 
	window.open(url,"LOForum","scrollbars=yes,width=850,height=600,top=70,left=220,resizable=yes");
};
ViewerController.generateToPDA = function()
{
	var url = "LaunchCachedZip?objectID="+this.root.id+"&objectTypeID="+this.root.type+"&typeID=5&startCache=yes&userID="+this.config.studentID+"&requestType=export&requestSubType=pda&themeID="+this.config.themeID;
	window.open(url,"genpda","height="+this.config.popupHeight+",width="+this.config.popupWidth+",location=no,menubar=no,scrollbars=yes,left=0,top=0,toolbar=no,status=no,resizable=yes");
};
ViewerController.closeViewer = function()
{
	if (this.config.docMode == 'PREVIEW')  {
		return 0;
	}

	if (parent.frames.header.personalizationToggled == true) {
		return 0;
	}

	if ( confirm(this.config.closeConfirmMsg) ) 
	{
		window.top.close();
	}
	return 0;
};